import os

from setuptools import setup, find_packages

PACKAGE = 'pytest-testrail-api'
VERSION = '0.3.4'


install_requires = [
    'pytest>=5.5',
    'testrail-api>=1.9.0'
]


def read(file_name):
    return open(os.path.join(os.path.dirname(__file__), file_name)).read()


def main():
    setup(
        name=PACKAGE,
        version=VERSION,
        description='Плагин Pytest, для интеграции с TestRail',
        url='https://pypi.org/project/pytest-testrail-api/',
        author='Maksim Senchuk',
        author_email='m.senchuk@yandex.ru',
        license='MIT',
        packages=find_packages(),
        long_description=read('README.rst'),
        install_requires=install_requires,
        classifiers=["Framework :: Pytest",
                     "Intended Audience :: Developers",
                     "License :: OSI Approved :: MIT License",
                     "Operating System :: POSIX",
                     "Operating System :: Microsoft :: Windows",
                     "Operating System :: MacOS :: MacOS X",
                     "Topic :: Software Development :: Testing",
                     "Topic :: Software Development :: Quality Assurance",
                     "Topic :: Utilities",
                     "Programming Language :: Python",
                     "Programming Language :: Python :: 3",
                     "Programming Language :: Python :: 3 :: Only",
                     "Programming Language :: Python :: 3.5",
                     "Programming Language :: Python :: 3.6",
                     "Programming Language :: Python :: 3.7",
                     "Programming Language :: Python :: 3.8",
            ],
        entry_points={'pytest11': ['pytest_testrail_api = testrail.plugin']},
    )


if __name__ == '__main__':
    main()
